Bug 32367 - [r600g] src/gallium/auxiliary/util/u_inlines.h:81:pipe_reference_described: Assertion `pipe_is_referenced(reference)' failed.
Summary: [r600g] src/gallium/auxiliary/util/u_inlines.h:81:pipe_reference_described: A...
Status: CLOSED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium critical
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-13 17:52 UTC by Vinson Lee
Modified: 2010-12-15 17:21 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2010-12-13 17:52:07 UTC
mesa: bb045d339b53f7ddd42bfca363e3d589b0ddcf20 (master)

chipset: RV620
system architecture: i686
libdrm-dev: 2.14.21-1ubuntu2.1
kernel version: 2.6.35-23-generic
Linux distribution: Ubuntu 10.10 i386

Run glean vertProg1 'Position write test (compute position from texcoord)' test.

$ PIGLIT_TEST='Position write test (compute position from texcoord)' glean -r results -t vertProg1
Mesa: User error: GL_INVALID_OPERATION in glProgramStringARB(unexpected IDENTIFIER)

Mesa: User error: GL_INVALID_OPERATION in glProgramString(bad program)
src/gallium/auxiliary/util/u_inlines.h:81:pipe_reference_described: Assertion `pipe_is_referenced(reference)' failed.
Trace/breakpoint trap


(gdb) bt
#0  0x01129a1b in _debug_assert_fail (expr=0x19dc53f "pipe_is_referenced(reference)", file=0x19dc518 "src/gallium/auxiliary/util/u_inlines.h", 
    line=81, function=0x19dc575 "pipe_reference_described") at src/gallium/auxiliary/util/u_debug.c:234
#1  0x010eb6cd in pipe_reference_described (ptr=0x0, reference=0x8eb8fb0, get_desc=0x112a717 <debug_describe_reference>)
    at src/gallium/auxiliary/util/u_inlines.h:81
#2  0x010eb79d in pipe_reference (ptr=0x0, reference=0x8eb8fb0) at src/gallium/auxiliary/util/u_inlines.h:101
#3  0x010ebc3b in r600_bo_reference (radeon=0x8b35d70, dst=0x8e0b154, src=0x8eb8fb0) at src/gallium/winsys/r600/drm/r600_bo.c:170
#4  0x0117848c in r600_context_pipe_state_set_resource (ctx=0x8b40820, state=0xb784e008, offset=238336)
    at src/gallium/winsys/r600/drm/r600_hw_context.c:878
#5  0x01178697 in r600_context_pipe_state_set_fs_resource (ctx=0x8b40820, state=0xb784e008, rid=0)
    at src/gallium/winsys/r600/drm/r600_hw_context.c:914
#6  0x010eee8f in r600_vertex_buffer_update (rctx=0x8b40698) at src/gallium/drivers/r600/r600_state.c:201
#7  0x010f3db1 in r600_bind_vertex_elements (ctx=0x8b40698, state=0x8e36aa8) at src/gallium/drivers/r600/r600_state_common.c:129
#8  0x01127b8e in util_blitter_clear (blitter=0x8e32468, width=100, height=100, num_cbufs=1, clear_buffers=3, rgba=0x8e3d5cc, depth=1, stencil=0)
    at src/gallium/auxiliary/util/u_blitter.c:693
#9  0x011023e1 in r600_clear (ctx=0x8b40698, buffers=3, rgba=0x8e3d5cc, depth=1, stencil=0) at src/gallium/drivers/r600/r600_blit.c:122
#10 0x012e5d17 in st_Clear (ctx=0x8e3c8c0, mask=17) at src/mesa/state_tracker/st_cb_clear.c:550
#11 0x01270574 in _mesa_Clear (mask=16640) at src/mesa/main/clear.c:241
#12 0x081431ce in GLEAN::VertexProgramTest::testBadProgram(GLEAN::MultiTestResult&) ()
#13 0x0814357a in GLEAN::VertexProgramTest::runOne(GLEAN::MultiTestResult&, GLEAN::Window&) ()
#14 0x080c591e in GLEAN::BaseTest<GLEAN::MultiTestResult>::run(GLEAN::Environment&) ()
#15 0x080bdc46 in main ()
Comment 1 Jerome Glisse 2010-12-14 10:57:59 UTC
Works here with lastest fix
Comment 2 Vinson Lee 2010-12-14 18:14:02 UTC
mesa: a8ca30bc58b73203a83799149ca9d21bcdce74b5 (master)

The crash still occurs here.
Comment 3 Jerome Glisse 2010-12-15 09:19:08 UTC
Ok wasn't using debug build, fix pushed
Comment 4 Vinson Lee 2010-12-15 17:21:10 UTC
mesa: dbb679e51d7e91e98d1d48d0c93be69bfabbba23 (master)

'glean vertProg1 vp1-Position write test (compute position from texcoord)' now passes.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.